/*
    This file is part of ben -- a task scheduler for distributed computations
    Copyright (C) 2012-2019  Laurent Poirrier

    ben is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef BEN_CONTROL_H
#define BEN_CONTROL_H

// see common.h for flags values

int ben_add(char *addr, char *dir, char *cmd, char *opts, int n, char **names);

int ben_rm(char *addr, int mask, char *dir, int n, char **names);

int ben_exec(char *addr, char *cmd, char *opts, int flags);

int ben_scale(char *addr, int n, int nb, char **b, int flags);

int ben_list(char *addr, int mask);

int ben_nodes(char *addr);

int ben_exit(char *addr, int flags);

#endif

